Bug 1653756 - [abrt] aldo: strlen(): aldo killed by SIGSEGV
Summary: [abrt] aldo: strlen(): aldo killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: aldo
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Berry
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:902f6c5cfefc28d7dd2dfddec17...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 15:13 UTC by deadrat
Modified: 2019-05-28 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:21:13 UTC


Attachments (Terms of Use)
File: backtrace (18.29 KB, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: cgroup (331 bytes, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: core_backtrace (2.90 KB, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: cpuinfo (1.09 KB, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: dso_list (3.96 KB, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: environ (3.34 KB, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: exploitable (82 bytes, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: maps (18.98 KB, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: mountinfo (3.82 KB, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: open_fds (140 bytes, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-11-27 15:13 UTC, deadrat
no flags Details

Description deadrat 2018-11-27 15:13:11 UTC
Version-Release number of selected component:
aldo-0.7.6-18.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        aldo
crash_function: strlen
executable:     /usr/bin/aldo
journald_cursor: s=7cd5d8972aed4babbf17b0e9bb3e8ab8;i=1d03;b=0e75655c8cb6445995af151a3dec1a43;m=be165d85;t=57ba6c797f0d1;x=aa6241e542d27cd6
kernel:         4.18.16-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/multiarch/../strlen.S:120
 #1 _sanitize_matrix at audio_out.c:634
 #2 _open_device at audio_out.c:1014
 #3 ao_open_live at audio_out.c:1366
 #4 libaudiostream::oastream::oastream(ao_sample_format, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >) at astream.cc:63
 #5 libaudiostream::AudioWorkSpace::create_output_stream() at audioworkspace.cc:112
 #6 keyer.cc at /usr/include/c++/8/bits/char_traits.h:285
 #7 OnKoch() at koch_exc.cc:88
 #8 libmenu::Menu::show() at menu.cc:179
 #11 _start

Comment 1 deadrat 2018-11-27 15:13:15 UTC
Created attachment 1508921 [details]
File: backtrace

Comment 2 deadrat 2018-11-27 15:13:17 UTC
Created attachment 1508922 [details]
File: cgroup

Comment 3 deadrat 2018-11-27 15:13:18 UTC
Created attachment 1508923 [details]
File: core_backtrace

Comment 4 deadrat 2018-11-27 15:13:20 UTC
Created attachment 1508924 [details]
File: cpuinfo

Comment 5 deadrat 2018-11-27 15:13:21 UTC
Created attachment 1508925 [details]
File: dso_list

Comment 6 deadrat 2018-11-27 15:13:23 UTC
Created attachment 1508926 [details]
File: environ

Comment 7 deadrat 2018-11-27 15:13:24 UTC
Created attachment 1508927 [details]
File: exploitable

Comment 8 deadrat 2018-11-27 15:13:26 UTC
Created attachment 1508928 [details]
File: limits

Comment 9 deadrat 2018-11-27 15:13:28 UTC
Created attachment 1508929 [details]
File: maps

Comment 10 deadrat 2018-11-27 15:13:30 UTC
Created attachment 1508930 [details]
File: mountinfo

Comment 11 deadrat 2018-11-27 15:13:31 UTC
Created attachment 1508931 [details]
File: open_fds

Comment 12 deadrat 2018-11-27 15:13:33 UTC
Created attachment 1508932 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 20:15:29 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 23:21:13 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.